
/*
 * LaTeX Symbols Selector
 *
 * Copyright (C) 2006 Tomasz Mka <pasp@users.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include "gui.h"
#include "prefs.h"
#include "i18n.h"

int main (int argc, char **argv)
{

GUI *appGUI = NULL;

    appGUI = g_new0 (GUI, 1);
    g_return_val_if_fail (appGUI != NULL, -1);

    /* default values */
    appGUI->groups_list_store = NULL;
    appGUI->uim_widget = NULL;

    prefs_read_config ();

    gtk_init (&argc, &argv);

    gtk_set_locale();
    bindtextdomain (PACKAGE, LOCALEDIR);
    textdomain (PACKAGE);

    gui_create_window (appGUI);

    gtk_main ();

    prefs_write_config ();

    g_free (appGUI);

    return 0;
}

